extends ./includes/tmpl.pug 

block header 
    include includes/header-logged.pug
block main
    main.s-main 
       

    // modal add collateral
    div.modal.modal-lg
        div.modal__inner
            div.modal__bg
            div.container
                div.modal__content
                    div.modal__close
                        svg(width='37' height='37' viewBox='0 0 37 37' fill='none' xmlns='http://www.w3.org/2000/svg')
                            path(fill-rule='evenodd' clip-rule='evenodd' d='M35.9062 36.3802L0.69954 1.17351L1.25342 0.619629L36.4601 35.8263L35.9062 36.3802Z' fill='white')
                            path(fill-rule='evenodd' clip-rule='evenodd' d='M0.699257 36.3802L35.9059 1.17351L35.3521 0.619629L0.145379 35.8263L0.699257 36.3802Z' fill='white')

                    div.c-add
                        div.c-add__text
                            div.h2 Add Collateral
                            div.d-flex
                                img(src='../pics/icons/i-attention.svg' alt='').mr-2 
                                span.text-muted мах 25 entries  
                        
                        div.c-wrap__form      
                            div.row.row-sm.mb-5 
                                div.col-12.col-sm-auto.mr-3.py-2
                                    label.input-label.mb-0 Token Type
                                div.col-auto.py-2
                                    label.checkbox
                                        input(type="radio" name="token-type" checked)
                                        span.check 
                                        span.check-text ETH
                                div.col-auto.py-2
                                    label.checkbox
                                        input(type="radio" name="token-type")
                                        span.check 
                                        span.check-text ERC-20
                                div.col-auto.py-2
                                    label.checkbox
                                        input(type="radio" name="token-type")
                                        span.check 
                                        span.check-text ERC-721
                                div.col-auto.py-2
                                    label.checkbox
                                        input(type="radio" name="token-type")
                                        span.check 
                                        span.check-text ERC-1155
                            
                            // ETH (Chain Native Token)
                            div.row
                                div.col.col-12.col-md-7
                                    label.input-label Ammount
                                    
                                    div.select-group
                                        input(type="text", placeholder="0.000").input-control
                                        div.select-coin
                                            div.select-coin__value
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/eth.svg", alt="")
                                                    | ETH 
                                div.col.col-12.col-md-2 
                                    label.input-label &nbsp;
                                    button(type="submit").btn.btn-outline Add                    
                            
                            
                            // ERC-20
                            //- div.row
                            //-     div.col.col-12.col-md-7
                            //-         label.input-label Token  Address
                                    
                            //-         div.select-group
                            //-             input(type="text", placeholder="Paste here").input-control
                            //-             div.select-coin
                            //-                 div.select-coin__value
                            //-                     span.field-unit
                            //-                         span.i-coin
                            //-                             img(src="../pics/coins/techniftsy.svg", alt="")
                            //-                         | techNIFTSY 
                            //-                     img(src="../pics/icons/i-arrow-down.svg", alt="").arrow

                            //-                 ul.select-coin__list 
                            //-                     li
                            //-                         span.field-unit
                            //-                             span.i-coin
                            //-                                 img(src="../pics/coins/eth.svg", alt="")
                            //-                             | ETH 
                            //-                     li
                            //-                         span.field-unit
                            //-                             span.i-coin
                            //-                                 img(src="../pics/coins/dai.svg", alt="")
                            //-                             | DAI  
                            //-                     li                                                
                            //-                         span.field-unit
                            //-                             span.i-coin
                            //-                                 img(src="../pics/coins/usdt.svg", alt="")
                            //-                             | USDT 
                            //-                     li 
                            //-                         span.field-unit
                            //-                             span.i-coin
                            //-                                 img(src="../pics/coins/usdc.svg", alt="")
                            //-                             | USDC
                            //-                     li                                                
                            //-                         span.field-unit
                            //-                             span.i-coin
                            //-                                 img(src="../pics/coins/niftsy.svg", alt="")
                            //-                             | NIFTSY                                 
                                
                            //-         div.c-add__max.mt-3   
                            //-             div 
                            //-                 span Max: 
                            //-                 a(href="") 100000000.999 
                            //-             div 
                            //-                 span Allowance: 
                            //-                 a(href="") 1.115324334343221345


                            //-     div.col.col-12.col-md-3  
                            //-         label.input-label Amount
                            //-         input(type="text", placeholder="").input-control
                            //-     div.col.col-12.col-md-2 
                            //-         label.input-label &nbsp;
                            //-         button(type="submit").btn.btn-grad Add

                            // ERC-20
                            div.row
                                div.col.col-12.col-md-6.col-lg-6 
                                    label.input-label Token  Address
                                    
                                    div.select-group
                                        input(type="text", placeholder="0.000").input-control
                                        div.select-coin
                                            div.select-coin__value
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/dai.svg", alt="")
                                                    | DAI 
                                                img(src="../pics/icons/i-arrow-down.svg", alt="").arrow

                                            ul.select-coin__list(style="display: none;") 
                                                li
                                                    span.field-unit
                                                        span.i-coin
                                                            img(src="../pics/coins/eth.svg", alt="")
                                                        | ETH 
                                                li
                                                    span.field-unit
                                                        span.i-coin
                                                            img(src="../pics/coins/dai.svg", alt="")
                                                        | DAI  
                                                li                                                
                                                    span.field-unit
                                                        span.i-coin
                                                            img(src="../pics/coins/usdt.svg", alt="")
                                                        | USDT 
                                                li 
                                                    span.field-unit
                                                        span.i-coin
                                                            img(src="../pics/coins/usdc.svg", alt="")
                                                        | USDC
                                                li                                                
                                                    span.field-unit
                                                        span.i-coin
                                                            img(src="../pics/coins/niftsy.svg", alt="")
                                                        | NIFTSY                                 

                                    div.d-flex.align-items-center.flex-wrap
                                        a(target='_blank' rel='noopener noreferrer' href='https://rinkeby.etherscan.io//token/0x3125B3b583D576d86dBD38431C937F957B94B47d').ex-link.mr-3.mt-3.mb-3 
                                            small More about DAI 
                                            img(src="../pics/icons/i-external.svg", alt="").i-ex

                                        a(href="#").btn.btn-sm.btn-gray Add to Metamask
        
                                div.col.col-12.col-md-4.col-lg-4  
                                    label.input-label Amount
                                        span(data-tippy-content="Short help message for new customers").i-tip
                                    input(type="text", placeholder="").input-control

                                    div.c-add__max.mt-2.mb-0   
                                        div.mt-1.mb-1  
                                            span Max: 
                                            a(href="") 100000000.999 
                                        div 
                                            span Allowance: 
                                            a(href="") 1.115324334343221345 

                                div.col.col-12.col-md-2 
                                    label.input-label &nbsp;
                                    button(type="submit").btn.btn-grad Add

                            // ERC-721
                            div.row
                                div.col.col-12.col-md-7
                                    label.input-label NFT Address
                                    input(type="text", placeholder="Past here").input-control                            
                                div.col.col-12.col-md-3
                                    label.input-label Token ID
                                    input(type="text", placeholder="99 900").input-control    
                                div.col.col-12.col-md-2 
                                    label.input-label &nbsp;
                                    button(type="submit").btn.btn-grad Add


                            // ERC-1155
                            div.row
                                div.col.col-12.col-md-5
                                    label.input-label NFT Address
                                    input(type="text", placeholder="Past here").input-control                            
                                div.col.col-12.col-md-3
                                    label.input-label Token ID
                                    input(type="text", placeholder="99 900").input-control    
                                div.col.col-12.col-md-2
                                    label.input-label Ammount
                                    input(type="text", placeholder="10").input-control                               
                                div.col.col-12.col-md-2 
                                    label.input-label &nbsp;
                                    button(type="submit").btn.btn-grad Add

                                        div.c-wrap__table.mt-3 
                   
                   
                    div.c-wrap__table.light.mt-3    
                        div.item 
                            div.row 
                                div.col-auto.col-md-2.mb-2.order-1
                                    div.tb-coin 
                                        span.i-coin
                                            img(src="../pics/coins/niftsy.svg", alt="")
                                        span NIFTSY   
                                div.col-md-3.mb-2.order-3.order-md-2   
                                    span.col-legend Contract: 
                                    span.text-break 0x39A...4E17b
                                div.col-md-5.mb-2.order-4.order-md-3 
                                        span.col-legend Amount:   
                                        span.text-break 0.00023
                                div.col-auto.col-md-2.mb-2.order-2.order-md-4   ERC-20

                                button.btn-del
                                    img(src="../pics/icons/i-del.svg", alt="")

                        div.item 
                            div.row 
                                div.col-auto.col-md-2.mb-2.order-1
                                    div.tb-coin 
                                        span.i-coin
                                            img(src="../pics/coins/default.svg", alt="")
                                        span 
                                div.col-md-3.mb-2.order-3.order-md-2   
                                    span.col-legend Contract: 
                                    span.text-break 0x39A...4E17b
                                div.col-md-5.mb-2.order-4.order-md-3 
                                        span.col-legend Amount:   
                                        span.text-break 0.00023
                                div.col-auto.col-md-2.mb-2.order-2.order-md-4 ERC-20

                                button.btn-del
                                    img(src="../pics/icons/i-del.svg", alt="")

                        div.item 
                            div.row 
                                div.col-auto.col-md-2.mb-2.order-1
                                    div.tb-coin 
                                        span.i-coin
                                            img(src="../pics/coins/eth.svg", alt="")
                                        span ETH
                                div.col-md-3.mb-2.order-3.order-md-2   
                                    span.col-legend Contract: 
                                    span.text-break 0x39A...4E17b
                                div.col-md-5.mb-2.order-4.order-md-3 
                                        span.col-legend Amount:   
                                        span.text-break 0.00023
                                div.col-auto.col-md-2.mb-2.order-2.order-md-4 Native

                                button.btn-del
                                    img(src="../pics/icons/i-del.svg", alt="")


                        div.item 
                            div.row 
                                div.col-auto.col-md-2.mb-2.order-1
                                    div.tb-nft 
                                        img(src="../pics/tb-nft-default.svg")

                                div.col-md-3.mb-2.order-3.order-md-2   
                                    span.col-legend Contract: 
                                    span.text-break 0x39A...4E17b

                                div.col-md-2.mb-2.order-4.order-md-3
                                    span.col-legend Amount:
                                    span 4 items 

                                div.col-auto.col-md-3.mb-2.order-5.order-md-4  
                                    span.text-break ID 1222323213 

                                div.col-auto.col-md-2.mb-2.order-2.order-md-5  ERC-1155  

                                button.btn-del
                                    img(src="../pics/icons/i-del.svg", alt="")

                        div.item 
                            div.row 
                                div.col-auto.col-md-2.mb-2.order-1
                                    div.tb-nft 
                                        img(src="../pics/test-token-2.jpg")

                                div.col-md-3.mb-2.order-3.order-md-2   
                                    span.col-legend Contract: 
                                    span.text-break 0x39A...4E17b

                                div.col-md-2.mb-2.order-4.order-md-3.d-none.d-md-block
                                    

                                div.col-auto.col-md-3.order-5.order-md-4  
                                    span.text-break ID 1222323213

                                div.col-auto.col-md-2.mb-2.order-2.order-md-5  ERC-721

                                button.btn-del
                                    img(src="../pics/icons/i-del.svg", alt="")


                    div.row.mt-5
                        div.col.col-12.col-md-6.offset-md-3 
                            button.btn.btn-lg.w-100(disabled) Confirm      